
function a = bias(hyper) 
%=============================================================================
% BIAS postprocessor object             
%=============================================================================  
% a=bias(hyperParam) 
%
% Generates a Bias object no hyperparameter.
% Adjusts the bias to optimize the balanced error rate.
%
%   Model
%    b0                  -- the bias
%
% Methods:
%  train, test, default
%
%=============================================================================
% Author of code: Isabelle Guyon -- isabelle@clopinet.com -- February 2006
%=============================================================================

% <<------hyperparam initialisation------------->> 
a.display_fields={};

% <<-------------model----------------->> 
a.b0=0;

algoType=algorithm('bias');
a= class(a,'bias',algoType);

a.algorithm.do_not_evaluate_training_error=0; 
a.algorithm.use_signed_output=0; % Return the discriminant values
a.algorithm.verbosity=1;

% there are no hyperparameters
%eval_hyper;
 

 
 





